// ©2023 Batty Bovine Productions, LLC. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Nodes/ComboActionGraphNode_ActionNodeBase.h"
#include "UObject/Object.h"

#include "ComboActionGraphNode_ActionNode.generated.h"


/**
 * Combo Action node.
 * 
 * This Node represents Player's combo actions.
 */
UCLASS(ClassGroup=("Combo Input|Action"), DisplayName="Action Node", meta=(ToolTip="Combo Action Tree: Action Node"))
class COMBOINPUT_API UComboActionGraphNode_ActionNode : public UComboActionGraphNode_ActionNodeBase
{
	GENERATED_BODY()
	
	UComboActionGraphNode_ActionNode();

public:

	virtual void PreProcessNode(const TScriptInterface<class IComboActionGraphManagerInterface> &Manager) override;
	virtual void ProcessNode(const TScriptInterface<class IComboActionGraphManagerInterface> &Manager) override;

#if WITH_EDITOR
	virtual FText GetDescription_Implementation() const override;
	virtual FText GetNodeCategory_Implementation() const override;
#endif
};
